11-May-2006	rings3d.f: gfortran/irix6 compatibility tweak (INTEGER iargc)
		Release 2.7d
 3-May-2006	rastep.f: gfortran requires initialization to zero!
12-Apr-2006	label3d: ImageMagick 6+ requires different syntax to set transparency
12-Apr-2006	r3dtops.f: gfortran requires SAVE, because it doesn't like -fno-automatic
11-Apr-2006	In example scripts, change "display -geometry" to "display -resize"
11-Apr-2006	change AND() and OR() to iand() and ior()
11-Apr-2006	rings3d.f: gfortran doesn't like iargc declared external
11-Apr-2006	avs2ps.c: additional headers (Debian patch)
11-Apr-2006	ungz.c: additional headers (Debian patch)
11-Apr-2006	local.c: additional headers (Debian patch)
15-Dec-2005	rastep.f: declare DEFCOLS as integer
15-Dec-2005	parse.f: and -> iand
15-Dec-2005	parse.f: hexadecimal syntax change
15-Dec-2005	render.f: and -> iand
15-Dec-2005	render.f: hexadecimal syntax change
15-Dec-2005	local.c: provide substitute or, and for gfortran
15-Dec-2005	Update Makefile for gfortran		
		Release 2.7c
12-Feb-2004	rastep.f: g77 doesn't like logical test against noerr
 6-Feb-2004	modify label3d and stereo3d scripts to deal with changes to recent
 		versions of ImageMagick and ghostscript
17-Oct-2003	rastep now checks input for illegal (=0) axial Uij terms
19-Aug-2003	render -bg {white|black|#RRGGBB}  set background from command line
		Release 2.7b
19-Jun-2003	Fix initialization of TMPNAM in normal3d.f 		
		Release 2.7a
 6-May-2003	render, and all other programs,  now default to PNG output.
		Add sun-forte Makefile option (Chandler Wilkerson <chandler@cs.uh.edu>)
 5-May-2003	Modify default color table in rastep so that if atom name column
 		is one off it still works.
 6-Nov-2002	Release 2.6f (mostly relevant only to RPM installation) 
 6-Nov-2002	Change default image format in scripts to PNG rather than TIFF
 		Modify RPM installation script for newer ImageMagick delegates format
		Build RPM against newer libpng.so.3 (Mandrake 8.2/9.0 Redhat 7.3/8.0)
26-Jul-2002	Suppress error message if libtiff has no LZW compression
 3-Jul-2002	Prevent coord overflow in rastep output
		Release 2.6e
15-May-2002	Add -gamma option to render
 3-May-2002	Won-kyu Park <wkpark@kldp.org> more complete spec file for rpm
 		Matsuura Takanori <matsu@gsc.riken.go.jp> Makefile for linux-ppc
19-Apr-2002	normal3d - force EYEPOS=0 for stereo; exit(-1) on syntax error
		stereo3d - add -angsep and -size options; trap normal3d failure
10-Apr-2002	Tweak autotile code to be aware of antialiasing options
 6-Apr-2002	NPX,NPY = 0 forces autotiling equivalent to -size NTXxNTY
 		that lets normal3d handle -size by just passing it on to render
 5-Apr-2002	Modify example scripts so they don't need write access to 'pwd'
19-Feb-2002	Fix complicated bug involving non-transparent bounded surfaces
15-Feb-2002	rewrite label3d and stereo3d as /bin/sh scripts
 		syntax now matches render; scratch files in $TMPDIR (or /tmp)
 		normal3d modified to go with new stereo3d: 
			[-stereo [scratchname]] [-angle AA]
14-Feb-2002	Release 2.6d (local release only)
 2-Feb-2002	rework S(u,v) code in rastep -> 30x speed increase!
16-Jan-2002	#define random rand    for WIN32 in avs2ps.c (Suhaib Siddiqi)
14-Dec-2001	Trap, report, and forgive garbage starting input line to render
13-Oct-2001	Add more possible locations of ImageMagick delegates file to RPM
11-Oct-2001	Add -zoom to render html documentation
 5-Oct-2001	Add info about PNG library to installation instructions
11-Sep-2001	Release 2.6c
29-Aug-2001	Add rings3d to Makefile and rpm package list 
 7-Aug-2001	Check for errors in outfile specification before proceeding
31-Jul-2001	Add support for PNG output
		-png and -jpeg default to stdout but allow explicit filename
		fix local.c bug in code for timing calls
30-Jul-2001	fix glitch in processing interleaved MOPT1 transparent objs
10-Jul-2001	Modify Makefile to work around Irix make inadequacies
 9-Jul-2001	Release 2.6b
 8-Jul-2001	Start checkout tests for version 2.6b
 8-Jul-2001	Add control info to build rpm package under Mandrake 8.0
 		rpm version is compiled with "pgf77 -O -Munroll -tp px"
 6-Jul-2001	Clean up some code in rastep.f that pgf77 didn't like
14-Jun-2001	Rearrange /OPTIONS/ and kludge backslash processing in 
		r3dtops.f to make f90 compiler happy on Tru 64 unix.
		Revise label3d to be compatible with ImageMagick 5.3.2: 
		process is now ps -> png -> transparent -> combine/composite
 7-May-2001	Allow GPROP option TRANSLATION to appear on single line
 		Pay attention to -DNETWORKBYTEORDER in avs2ps.c code
10-Apr-2001	rastep modified to offer new ORTEP_LIKE BOUNDING_PLANES
 9-Apr-2001	A big oops - BACKCLIP wasn't initialized in normal3d.f
 6-Apr-2001	Remove explicit REAL*4 from all programs
 		Increase input line buffer to 132 chars from 80 chars
16-Mar-2001	Construct Makefile shared by all(?) platforms
		have -Bcolor option to rods produce shaded bonds
		check all READ statements for ERR= handling
		add -zoom flag to render
 4-Mar-2001	break out array size PARAMETERS into parameters.incl
27-Feb-2001	catch illegal size flag cleanly in parse.f
26-Feb-2001	Finish adding RAFTER/TAFTER/ISOLATE support to normal3d
		start alpha test (2.6a) of BOUNDING_PLANE support
		ORTEP_LIKE option is still pretty hokey, but the rest works
21-Feb-2001	Begin addition of BOUNDING_PLANE support
15-Feb-2001	Add -shadow -noshadow flags to parse.f
		Write full program name + version in TIFF and JPEG output
17-Jan-2001	Change output format 211 for bonds in rastep.f
... since V2.5f ...
15-Nov-2000	V2.5f release
13-Nov-2000	Fixed similar error in RAFTER applied to surface normals
27-Oct-2000	Fixed error in ISOLATION of surface normals
12-Oct-2000	F10.5 -> F10.4 in normal3d.f output formats
10-Oct-2000	if -size is specified, force scheme 3 into scheme 4 instead
 2-Oct-2000	Added Suv() code to rastep
21-Sep-2000	fixed clipping error for quadrics, and another for objs 7, 17, 18
		clean up interaction of Z-clipping and FOG
20-Sep-2000	render now discards BACKCLIPped objects on input 
		V2.5e release (internal only)
 9-Sep-2000	tweak r3dtops.f workaround for ImageMagick auto-matte bug
 5-Sep-2000	ungz.c uncompresses input files to render and normal3d;
 		deletion of temporary files requires OPEN(DISPOSE='DELETE',...)
		which unfortunately isn't supported in g77 or xlf
 5-Aug-2000	rastep now applies Bcolor option to bonds as well as atoms
 1-Jun-2000	V2.5d release
 1-Jun-2000	Include msms -> Raster3D filters in distribution
25-Mar-2000	Revise auto-tiling to avoid tiles smaller than 6 pixels
		Additional checks for shadow tile out of bounds
		If requesting tiling is not possible, try auto-tiling
		Add timing commands to local.c
11-Mar-2000	Honor MATERIAL colors during label processing
24-Feb-2000	regularize code for storing/retrieving material index in FLAG 
 8-Feb-2000	Add CLROPT = 2 option to transparency rendering
 		Add object type VERTRANSP (per-vertex transparency)
10-Mar-2000	V2.5c (minor bugfixes)
		local.c picks up version from VERSION include file 
		Fortran files pick up version from VERSION.incl
		forgive IPHONG entered as floating point
		Add '.r3d' to indirect file names if initial open fails
		Add TeX-like syntax options to r3dtops label processing
 1-Feb-2000	V2.5b general release
15-Dec-99	Oops. all-zero input line is legal for LABELs
11-Nov-99	V2.5alpha
		Fold r3dtops label-processing code into render itself.
		Add command line parsing (parse.f) to render, so that
		image size, anti-aliasing scheme, and label-handling
		can all be specified externally.
		Modify label3d and stereo3d scripts to expect render to
		handle labels, and to use sed rather than awk/nawk.
		Remove (finally!) (Q) formats from ribbon1.f
 9-Sep-99	correct bug introduced in V2.4j of rastep (-Bcol coloring
		varies with value of -prob)
26-Aug-99	V2.4m of rastep writes auto-orientation matrix as a post-hoc
		rotation to render, 
		requires render version at least 2.4l for compatibility
28-Jul-99	(rastep,rods) don't draw bonds across alternate conformations
12-Jul-99	rastep 2.4l fixes bug in reporting mean B_iso
28-Jun-99	modify rastep to color by anisotropy,
		also to deal gracefully with 4-digit residues + chainid
14-Jun-99	fix bug (lack of sqrt) in rastep -iso processing 
		add -bradius option to rods
18-May-99	V2.4j
		Re-worked label processing; new versions of r3dtops/label3d
		Sample code r3d_label.c illustrating use of GLUT stroke font.
		Allow explicit vertex colors (object type 17) for cylinders 
 8-Feb-99	Allow file indirection for [complete set of] header records
		and ignore leading comments
		Re-work local.c to support 
		    -jpeg             JPEG output to stdout
		    -out file.xxx     output piped to ImageMagick for conversion
		Modify all Makefile versions accordingly, 
		and make DIMAGEPIPE and DJPEG_SUPPORT the default
 8-Dec-98	V2.4h minor bug fix in render.f for overlapping cylinders
15-Oct-98	V2.4g	
		Improved rendering of transparent cylinders
		GLOBAL property object type 16 (FOG for example)
		Forgive blank lines at end of indirect files
		Environmental variable R3D_LIB used as search path 
			during file indirection
		Preliminary groundwork in code for Z-clipping
		Modified Makefiles to reduce number of compiler warnings
		PARVATI's rastep version included with Raster3D 
16-Aug-98	fixed format bug in normal3d MATERIAL handling 
 7-May-98	V2.4f new ungrasp.f, fix crash if shadows + VERTEXRGB
29-Apr-98	V2.4e Bug fix to TIFF output (blue channel was shifted by 1 pixel)
18-Mar-98	V2.4d limit maximum distortion due to perspective, 
		update ungrasp, mark resolution in TIFF images as 300dpi 
 6-Feb-98	V2.4c Fix bug in check against bounding sphere of quadrics
 1-Jan-98	V2.4b
23-Dec-97	Verify installation under DU4.0, Redhat4.2, Irix5.3, Irix6.4
		add patch to work around I/O glitch in AIX
26-Nov-97	Add object type 17 (VERTEXRGB) and subroutine CHKRGB
		Allow # to denote comments in input stream to render
21-Oct-97	Fix bug preventing normal3d from handling CYLFLAT objects
15-Oct-97	Oops, forgot to remove the -alpha flag to enable ISCHEME=0
22-Sep-97	Fix major bug in BACKFACE flag set condition
15-Sep-97	in local.c: change TIFFTAG_ROWSPERSTRIP to be same as ysize
15-Sep-97	default to anti-aliasing scheme 4 in balls, ribbon, rods
11-Sep-97	default colors and -Bcolor option added to rods
 4-Sep-97	Fix normals of flat cylinder ends (thanks to Takaaki Fukami)
13-Aug-97	To please stupid Fortran compilers, including f2c, remove
		READONLY from OPEN statements
 2-Jul-97	New object type for quadric surfaces, and rastep utility to
		generate ellipsoids from ANISOU records in PDB file.
		Also new object type NOTRANS to render subsequent objects
		independently from TMAT in header.
 4-Aug-97	V2.3d
		ribbon option -d6 to use COLOUR templates for ribbon color
		include a copy of local_jpeg.c in distribution
		update the README instructions for patching Molscript
28-Jul-97	Square the colors in ungrasp (suggested by Albert Berghuis).
17-Jun-97	"stereo3d -" will accept input from stdin 
13-May-97	Add BACKFACE material property, reduce amount of default
		diagnostic output (still available via render -debugging),
		EYEPOS = 0 to disable perspective in rendering
 8-May-97	correct order of scheme=4 testing in normal3d.f
 7-May-97	V2.3c 
		remove DATA statements to make Sun compiler happy
 5-May-97	Multiple glow lights, corrections to label placement
		glow lights and labels now handled by normal3d
		example file for labels
		make cyl1 a function (remove coordinate/scale dependence)
19-Apr-97	Tidy things up for beta release V2.3b 
 8-Mar-97	Object type 13 = glow light source
 6-Mar-97	Large tiles + many objects could give shadowing errors
		Increase SLOP parameter, and make it scale with tile size
25-Feb-97	-radius option for rods
		additional MATERIAL records signaled by OPT(4) > 0
		stereo3d script
27-Jan-97	trap end-on cylinders to prevent divide by zero
		Accept (but ignore) label object types 10 and 11 in render.
		New utility labels3d that processes labels in render input file
22-Nov-96	per-tile transparency count (faster), also temp variable
		for kstart(itile,jtile) (1.5% faster - not bad for single line)
15-Nov-96	SCHEME=0 writes alpha channel to output image
10-Oct-96	Trap and forgive shadowing error if NSX or NSY too small
19-Aug-96	Revised set of patches to Molscript.  Not yet quite stable. 
 6-Jun-96	Change default to no HIDDEN triangles, fix minor bug in normals 
 3-May-96	File indirection added to render.f 
 9-Feb-96	add utility programs normal3d and ungrasp
 8-Feb-96	V2.2beta has support for transparent materials 
 1-Feb-96	Fix major problems with explicit surface normals
22-Jan-96	Makefile for Irix 6.1, added utility normal3d, 
		OSF compile option -fast, bug fix in CYL1 to avoid divide by 0 
 3-Aug-95	V2.11 adds TIFF_INVERT workaround to local.c
30-Jun-95	Version 2.1 release via ftp and www
28-Apr-95	object types 7/8/9 folded back into regular distribution (V2.1)
		Rename setup to balls; change references everywhere
		HTML version of documentation
13-Apr-95	remove unused code from modsubs.f which made solaris unhappy
01-Mar-95	V2.03 onto ftp site
24-Feb-95	Fix bug in CYL1 routine which caused pieces of cylinder ends
		to disappear if they tipped too far toward the viewer
20-Jan-95	Move data statements in ribbon1.f, render.f to make linux happy
29-Nov-94	update ftp site to release V2.02
28-Nov-94	add Elya Kurktchi's Makefile for SUNOS
28-Nov-94	add section on Moslcript->Raster3D stereo to docs.ps
16-Nov-94	update ftp site to release V2.01
 5-Aug-94	add filter utility avs2ps for producing B&W PostScript output
 4-Aug-94	include patch to Molscript V1.4 to support dotted lines
21-Jul-94	bugfix to input code for PLANE objects,
		add hints section to manual
22-Apr-94	Version 2.0 release
